# Função principal
function nota(){
     clear
     echo "========================================"
     echo "Notas para você usar ao decorrer do jogo"
     echo "========================================"
     echo -e "${vermelho}Retornar${desliga} | ${vermelho}Inserir${desliga} | ${vermelho}Visualizar |${vermelho} Remover${desliga} "
     read -p "O que você deseja fazer?: " entrada
     entrada="${entrada,,}"
     if [[ "$entrada" = "retornar" ]]; then
         principal
     elif [[ "$entrada" = "inserir" ]]; then
         inserir # Chamada função
     elif [[ "$entrada" = "visualizar" ]]; then
         visualizar
     elif [[ "$entrada" = "remover" ]]; then
         remover
     else
         echo -e "\t\E[31;1mOpção Inválida!\033[m"
         sleep 0.3s
         nota
     fi    
}

function inserir(){
   echo "|"
   echo -e "+----> ${azul}Para Salvar aperte <ENTER> e depois CTRL + D${desliga}"
   if cat >> "usuarios/${nome_do_player}.nota"; then
       echo "Nota Salva com Sucesso!"
       sleep 1.2s
       nota
   fi    
}

function visualizar(){
   echo -e "\nVisualizando ${azul}Arquivo: ${nome_do_player}.nota${desliga}"
   if ! cat "usuarios/${nome_do_player}.nota" 2>/dev/null; then
        echo -e "\n${vermelho}Arquivo NÃO encontrado.${desliga}"
        sleep 1s
        nota
   else
        read -p $'\n<ENTER> Para Retornar'
        nota
   fi
}

function remover(){
   read -p $'\n\E[31;1mDeseja Realmente apagar sua nota? [Sim/nao]\E[m' resposta
   resposta="${resposta:=sim}"
   resposta="${resposta,,}"
   if [[ "$resposta" = "sim" ]]; then
       if rm "usuarios/${nome_do_player}.nota" 1>/dev/null 2>&1; then
           echo "Nota apagada com SUCESSO!"
           sleep 2s
           nota
       fi
   elif [[ "$resposta" = "nao" ]]; then
       nota       
   else
       echo "Resposta Inválida! sim ou nao"  
       remover  
   fi
}
